import { ErrorResponse } from 'packages/commons/service/error-response';

import { MetaCrawler } from '../../model';

export interface State {
  error: ErrorResponse | null;
  pending: boolean;
  metaCrawlerList: MetaCrawler[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  metaCrawlerList: null,
};
